[Python] GDAL इंस्टॉल करने में त्रुटि


Answers

मेरी मैकबुक पर, होमब्रे के साथ इस दृष्टिकोण का अद्यतन / ताज़ा इंस्टॉल जीडीएएल ने ठीक काम किया। मेरे मैक पर समस्या यह थी कि मुझे जाहिरा तौर पर एक पुराने जीडीएएल संस्करण स्थापित किया गया था और उपरोक्त त्रुटि संदेश के कारण brew upgrade gdal साथ अद्यतन करने में सक्षम नहीं था।

संक्षेप में समाधान:

brew unlink gdal
brew tap osgeo/osgeo4mac && brew tap --repair
brew install jasper netcdf # gdal dependencies
brew install gdal2 --with-armadillo --with-complete --with-libkml --with-unsupported
brew link --force gdal2

सत्यापन:

$> gdal-config --version
2.1.3
$> gdal-config --libs
-L/usr/local/Cellar/gdal2/2.1.3_3/lib -lgdal
$> gdal-config --cflags
-I/usr/local/Cellar/gdal2/2.1.3_3/include
Question

मैं पीडी के माध्यम से जीडीएएल को स्थापित करने की कोशिश कर रहा हूं लेकिन मुझे यह त्रुटि मिल रही है:

extensions/gdal_wrap.cpp:3089:27: fatal error: cpl_vsi_error.h: No such     file or directory
 #include "cpl_vsi_error.h"
                           ^
compilation terminated.
error: command 'x86_64-linux-gnu-gcc' failed with exit status 1

मैं इन आज्ञाओं का उपयोग करता हूं:

sudo apt-get install libgdal-dev
export CPLUS_INCLUDE_PATH=/usr/include/gdal
export C_INCLUDE_PATH=/usr/include/gdal
pip install GDAL

क्या कोई मुझे यह कैसे स्थापित करने के लिए बता सकता है?